<?php defined("APP") or die(); // Footer 
include TEMPLATE."/config.php";
?>
  <?php if ($this->isUser): // Show user page footer ?>
            <footer class="main">
			<div class="container-fluid">
                <div class="row">
                  <div class="col-md-5 col-sm-5 text-left">
                    <?php echo date("Y") ?> &copy; <?php echo $this->config["title"] ?> &nbsp; 
                  </div>
                  <div class="col-md-7 col-sm-7 text-right">                                      
                    <?php foreach ($pages as $page):?>        
                      <a href='<?php echo $this->config["url"]?>/page/<?php echo $page->seo ?>' title='<?php echo e($page->name)?>'><?php echo e($page->name)?></a>
                    <?php endforeach; ?>
                    <a href='<?php echo $this->config["url"]?>/contact' title='<?php echo e("Contact")?>'><?php echo e("Contact")?></a>               
                  </div>
                </div></div>
            </footer>  
          </div><!--/.content-->
        </div><!--/.row-->
      </div><!--/.container-->      
    </section>
  <?php else: // Show general footer ?>
    <?php if ($this->footerShow): ?>
	<section class="footer-section">
      <footer class="main">
        <div class="container">
          <div class="row">
            <div class="col-md-5 col-sm-5 text-left">
              <?php echo date("Y") ?> &copy; <?php echo $this->config["title"] ?> &nbsp;
            </div>
            <div class="col-md-7 col-sm-7 text-right">
              <?php foreach ($pages as $page):?>        
                <a href='<?php echo $this->config["url"]?>/page/<?php echo $page->seo ?>' title='<?php echo e($page->name)?>'><?php echo e($page->name)?></a>
              <?php endforeach; ?>
              <a href='<?php echo $this->config["url"]?>/contact' title='<?php echo e("Contact")?>'><?php echo e("Contact")?></a>
                                    
            </div>
          </div>
        </div>
      </footer>  
	</section>   
    <?php endif ?>
  <?php endif ?>   
	<script type="text/javascript">
		<?php $js_lang=array(
		  "del"=>e("Delete"),
		  "url"=>e("URL"),
		  "count"=>e("Country"),
		  "copied" => e("Copied"),
		  "geo"=>e("Geotargeting data for"),
		  "error"=>e('Please enter a valid URL.'),
		  "success"=>e('URL has been successfully shortened. Click Copy or CRTL+C to Copy it.'),
		  "stats"=>e('You can access the statistic page via this link'),
		  "copy"=>e('Copied to clipboard.'),
		  "from"=>e('Redirect from'),
		  "to"=>e('Redirect to'),
		  "share"=>e('Share this on'),
		  "congrats" =>e('Congratulation! Your URL has been successfully shortened. You can share it on Facebook or Twitter by clicking the links below.'),
		  "qr"=>e('Copy QR Code'),
		  "continue" => e("Continue")
		  ) ?>
		var lang=<?php echo json_encode($js_lang) ?>;
	</script>  
	<?php Main::enqueue('footer') ?>
	<script src="<?php  echo $this->config["url"]  ?>/themes/<?php  echo $this->config["theme"]  ?>/static/js/TweenLite.min.js" type="text/javascript"></script>
	<script src="<?php  echo $this->config["url"]  ?>/themes/<?php  echo $this->config["theme"]  ?>/static/js/EasePack.min.js" type="text/javascript"></script>
	<!-- <script src="<?php  echo $this->config["url"]  ?>/themes/<?php  echo $this->config["theme"]  ?>/static/js/d1.js" type="text/javascript"></script> -->
	<script src="<?php echo $this->config["url"] ?>/themes/<?php echo $this->config["theme"] ?>/static/js/toastr.min.js" type="text/javascript"></script>
	<link rel="canonical" href="http://www.bistscript.ir" />
	<script src="<?php echo $this->config["url"] ?>/themes/<?php echo $this->config["theme"] ?>/static/js/server.js?v=1.0"></script>
	
<?php if($this->isHome && !isset($setting['showvideo'])): ?>
	<script>
	
	<?php if($setting['animationEffect'] == "1"){ ?>
	
			(function(){var width,height,largeHeader,canvas,ctx,points,target,animateHeader=true;initHeader();initAnimation();addListeners();function initHeader(){width=window.innerWidth;height=window.innerHeight;target={x:width/2,y:height/2};largeHeader=document.getElementById('large-header');largeHeader.style.height=height+50+'px';canvas=document.getElementById('demo-canvas');canvas.width=width;canvas.height=height-50;ctx=canvas.getContext('2d');points=[];for(var x=0;x<width;x=x+width/16){for(var y=0;y<height;y=y+height/16){var px=x+Math.random()*width/16;var py=y+Math.random()*height/16;var p={x:px,originX:px,y:py,originY:py};points.push(p);}}
			for(var i=0;i<points.length;i++){var closest=[];var p1=points[i];for(var j=0;j<points.length;j++){var p2=points[j]
			if(!(p1==p2)){var placed=false;for(var k=0;k<5;k++){if(!placed){if(closest[k]==undefined){closest[k]=p2;placed=true;}}}
			for(var k=0;k<5;k++){if(!placed){if(getDistance(p1,p2)<getDistance(p1,closest[k])){closest[k]=p2;placed=true;}}}}}
			p1.closest=closest;}
			for(var i in points){var c=new Circle(points[i],2+Math.random()*2,'rgba(255,255,255,0.3)');points[i].circle=c;}}
			function addListeners(){if(!('ontouchstart'in window)){window.addEventListener('mousemove',mouseMove);}
			window.addEventListener('scroll',scrollCheck);window.addEventListener('resize',resize);}
			function mouseMove(e){var posx=posy=0;if(e.pageX||e.pageY){posx=e.pageX;posy=e.pageY;}
			else if(e.clientX||e.clientY){posx=e.clientX+document.body.scrollLeft+document.documentElement.scrollLeft;posy=e.clientY+document.body.scrollTop+document.documentElement.scrollTop;}
			target.x=posx;target.y=posy;}
			function scrollCheck(){if(document.body.scrollTop>height)animateHeader=false;else animateHeader=true;}
			function resize(){width=window.innerWidth;height=window.innerHeight;largeHeader.style.height=height+'px';canvas.width=width;canvas.height=height;}
			function initAnimation(){animate();for(var i in points){shiftPoint(points[i]);}}
			function animate(){if(animateHeader){ctx.clearRect(0,0,width,height);for(var i in points){if(Math.abs(getDistance(target,points[i]))<4000){points[i].active=0.3;points[i].circle.active=0.6;}else if(Math.abs(getDistance(target,points[i]))<20000){points[i].active=0.1;points[i].circle.active=0.3;}else if(Math.abs(getDistance(target,points[i]))<40000){points[i].active=0.02;points[i].circle.active=0.1;}else{points[i].active=0;points[i].circle.active=0;}
			drawLines(points[i]);points[i].circle.draw();}}
			requestAnimationFrame(animate);}
			function shiftPoint(p){TweenLite.to(p,1+1*Math.random(),{x:p.originX-50+Math.random()*100,y:p.originY-50+Math.random()*100,ease:Circ.easeInOut,onComplete:function(){shiftPoint(p);}});}
			function drawLines(p){if(!p.active)return;for(var i in p.closest){ctx.beginPath();ctx.moveTo(p.x,p.y);ctx.lineTo(p.closest[i].x,p.closest[i].y);ctx.strokeStyle='rgba(<?php if($setting['animatedColor'] == ""){echo "156,217,249";}else{echo $setting["animatedColor"];} ?>,'+p.active+')';ctx.stroke();}}
			function Circle(pos,rad,color){var _this=this;(function(){_this.pos=pos||null;_this.radius=rad||null;_this.color=color||null;})();this.draw=function(){if(!_this.active)return;ctx.beginPath();ctx.arc(_this.pos.x,_this.pos.y,_this.radius,0,2*Math.PI,false);ctx.fillStyle='rgba(<?php if($setting['animatedColor'] == ""){echo "156,217,249";}else{echo $setting["animatedColor"];} ?>,'+_this.active+')';ctx.fill();};}
			function getDistance(p1,p2){return Math.pow(p1.x-p2.x,2)+Math.pow(p1.y-p2.y,2);}})();
					
	<?php }else{ ?>
		(function(){var width,height,largeHeader,canvas,ctx,circles,target,animateHeader=true;initHeader();addListeners();function initHeader(){width=window.innerWidth;height=window.innerHeight;target={x:0,y:height};largeHeader=document.getElementById('large-header');largeHeader.style.height=height+50+'px';canvas=document.getElementById('demo-canvas');canvas.width=width;canvas.height=height-50;ctx=canvas.getContext('2d');circles=[];for(var x=0;x<width*0.5;x++){var c=new Circle();circles.push(c);}
		animate();}
		function addListeners(){window.addEventListener('scroll',scrollCheck);window.addEventListener('resize',resize);}
		function scrollCheck(){if(document.body.scrollTop>height)animateHeader=false;else animateHeader=true;}
		function resize(){width=window.innerWidth;height=window.innerHeight;largeHeader.style.height=height+'px';canvas.width=width;canvas.height=height;}
		function animate(){if(animateHeader){ctx.clearRect(0,0,width,height);for(var i in circles){circles[i].draw();}}
		requestAnimationFrame(animate);}
		function Circle(){var _this=this;(function(){_this.pos={};init();console.log(_this);})();function init(){_this.pos.x=Math.random()*width;_this.pos.y=height+Math.random()*100;_this.alpha=0.1+Math.random()*0.3;_this.scale=0.1+Math.random()*0.3;_this.velocity=Math.random();}
		this.draw=function(){if(_this.alpha<=0){init();}
		_this.pos.y-=_this.velocity;_this.alpha-=0.0005;ctx.beginPath();ctx.arc(_this.pos.x,_this.pos.y,_this.scale*10,0,2*Math.PI,false);ctx.fillStyle='rgba(<?php if($setting['animatedColor'] == ""){echo "156,217,249";}else{echo $setting["animatedColor"];} ?>,'+_this.alpha+')';ctx.fill();};}})();		
	<?php } ?>
	
    </script>
<?php  endif;  ?>
	
</body>
<link rel="canonical" href="http://www.20script.ir" />
</html>