<?php defined("APP") or die() // Stats Page ?>
<section>
	<div class="container stats-page">
		<div class="panel panel-body panel-default">
			<div class="row info">
				<div class="col-md-3 thumb">
					<img src="<?php echo $url->short ?>/i" alt="">
				</div>
				<hr class="visible-sm visible-xs">
				<div class="col-md-9 url-info"><div class="row">
					<h5>
						<a href="<?php echo $url->url ?>" rel="nofollow"><?php echo $url->meta_title ?></a>
					<small class="pull-right"><?php echo Main::timeago($url->date) ?></small>
					</h5>
						<p><?php echo $url->meta_description ?></p>
					<hr class="visible-sm visible-xs">
						
						<div class="col-md-8 col-sm-8 rtl-left">
							<p>
								<i class="fa fa-link"></i> <?php echo $this->config["url"] ?>/<?php echo $url->alias.$url->custom ?> <a href="#copy" class="copy inline-copy hidden-xs" data-value="<?php echo $this->config["url"] ?>/<?php echo $url->alias.$url->custom ?>" title="<?php echo e("Copy")?>"><i class="fa fa-files-o"></i></a>								
								<br>
								<i class="fa fa-qrcode"></i> <?php echo $this->config["url"] ?>/<?php echo $url->alias.$url->custom ?>/qr <a href="#copy" class="copy inline-copy hidden-xs" data-value="<?php echo $this->config["url"] ?>/<?php echo $url->alias.$url->custom ?>/qr" title="<?php echo e("Copy")?>"><i class="fa fa-files-o"></i></a>								
							</p>	
							<div class="btn-group btn-group-sm">
								<a href="https://www.facebook.com/sharer.php?u=<?php echo $this->config["url"] ?>/<?php echo $url->alias.$url->custom ?>" class="btn btn-facebook u_share"><i class="fa fa-facebook fa-2x"></i><span><?php echo e("Share on") ?> Facebook</span></a>
								<a href="https://twitter.com/share?url=<?php echo $this->config["url"] ?>/<?php echo $url->alias.$url->custom ?>&amp;text=Check+out+this+url" class="btn btn-twitter u_share"><i class="fa fa-twitter fa-2x"></i><span><?php echo e("Share on") ?> Twitter</span></a>								
							</div>
						</div>	

						<div class="col-md-2 col-sm-2 url-stats">
							<?php echo $url->click ?>
							<span><?php echo e("Clicks") ?></span>
						</div>
						<div class="col-md-2 col-sm-2 url-stats">							
							<?php echo $url->unique ?>
							<span><?php echo e("Unique Clicks")?></span>
						</div>
						</div>
				</div>
			</div>
		</div>
	</div>
</section>
<?php echo $this->ads(728) ?>
<section class="analytics">
	<div class="container">
		<div class="panel">
			<div class="panel-heading">
				<div class="btn-group btn-group-xs pull-right">
					<a href="#" class="btn btn-primary chart_data active" data-value='d'><?php echo e("Daily") ?></a>			
					<a href="#" class="btn btn-primary chart_data" data-value='<?php echo json_encode(array("m",$url->alias.$url->custom,$url->click)) ?>'><?php echo e("Monthly") ?></a>
					<a href="#" class="btn btn-primary chart_data" data-value='<?php echo json_encode(array("y",$url->alias.$url->custom,$url->click)) ?>'><?php echo e("Yearly") ?></a>   				
				</div>
			</div>
			<div class="panel-body">
				<div id="url-chart" class="chart"></div>
			</div>
		</div>
	</div>
</section>
<section class="analytics map">
	<div class="container">
		<div class="row">
      <div class="col-md-6">
      	<div id="country" style="width:100%; height: 300px"></div>
      </div>
    	<div class="col-md-6">	
    		<h3><?php echo e("Top Countries") ?></h3>
    		<ol id="country-list"></ol>
    	</div> 			    
		</div>	
	</div>	
</section>
<section class="analytics">
	<div class="container">
		<div class="row">
			<div class="col-md-6">
				<div class="panel panel-default panel-body">
					<h3><?php echo e("Referrers")?></h3>
					<ul id="referrer">      
			  	</ul>	
				</div>	
			</div>
			<div class="col-md-6">
				<div class="panel panel-default panel-body">
					<h3><?php echo e("Social Shares")?></h3>
					<div style="width:99%;height:300px;" id="social-shares"></div>
				</div>
			</div>
		</div>
	</div>
</section>