<?php defined("APP") or die() // Main User Page ?>

<div class="row">
	<?php echo Main::message() ?>  	
</div><!--/.row-->

<div class="row">
	<div class="col-md-12"> 	
	<?php if(!empty($this->config["news"])): ?>
		<script>
			$(document).ready(function() { 
				var isad = getCookie("news");
				toastr.options = {
				  "closeButton": true,
				  "debug": false,
				  "progressBar": false,
				  "positionClass": "toast-top-full-width",
				  "preventDuplicates": true,
				  "onclick": null,
				  "showDuration": "500",
				  "hideDuration": "1000",
				  "timeOut": "0",
				  "extendedTimeOut": "0",
				  "showEasing": "swing",
				  "hideEasing": "linear",
				  "showMethod": "fadeIn",
				  "hideMethod": "fadeOut"
				}
				if (isad != "1") {
					toastr.info("<?php  echo Main::clean($this->config["news"]).'","'.e("Announcement").'"'; ?>);  
					setCookie("news", "1",30);
				} 
			});  	
		</script>
	<?php endif; ?>
	</div>
	<div id="stat" class="col-md-12 top-stats"> 
		<?php $mclass = new light($this->db,$this->config); echo $mclass->user_stats(); ?>     
	</div>
</div><!--/.row-->

<div class="row">	
	<div id="user-content" class="col-lg-8 col-sm-12 user-content">  	
		<?php echo $this->ads(728) ?>
		<?php $this->shortener() ?>
		<div class="main-content panel panel-default">
			<div class="toolbox">
				<div class="row">
							<div class="col-md-3 col-sm-3">
								<select name="sort" class="filter" data-key="sort">
								<optgroup label="filter">
									<option value="newest"<?php if(!isset($_GET["sort"])) echo " selected"?>><?php echo e("Newest") ?></option>
									<option value="oldest"<?php if(Main::is_set("sort","oldest")) echo " selected"?>><?php echo e("Oldest") ?></option>
									<option value="popular"<?php if(Main::is_set("sort","popular")) echo " selected"?>><?php echo e("Popular") ?></option>
									</optgroup>
								</select>																						
							</div>
							
							<div class="col-md-5 col-sm-5">
								<form action="<?php echo Main::href("user/search") ?>" id="search">
									<div class="input-group">
										<span class="input-group-addon"><i class="fa fa-search"></i></span>
										<input type="text" name="q" class="form-control" placeholder="<?php echo e('Enter keyword and press enter.')?>">
									</div>
								</form>
							</div>
							<div class="col-md-4 col-sm-4">
								<div class="btn-group btn-group-sm">
									<a href="#" class="btn btn-primary" id="selectall"><i class="fa fa-check"></i>&nbsp;&nbsp;<?php echo e("Select All")?></a>
									<a href="#" class="btn btn-danger" id="deleteall"><i class="fa fa-times"></i>&nbsp;&nbsp;<?php echo e("Delete All")?></a>
								</div>
							</div>	
				</div>
			</div><!-- /.toolbox -->			
			<div id="data-container">
				<form action="<?php echo Main::href("user/delete") ?>" method="post" id="delete-all-urls">				
					<div class="return-ajax">
						<table id="search-table" class="urls-table table table-striped table-bordered table-advance table-hover">
							<tbody class="search-ajax">
							</tbody>
						</table>
					</div><!-- /.return-ajax -->
						
						<div class="url-container">
							<table id="urls-table" class="table urls-table table-striped table-bordered table-advance table-hover">
								<thead>
									<tr>
										<th class="center">
										</th>
										<th class="hidden-xs"><?php  echo t("Link") ?></th>
										<th><?php  echo t("Short link / Clicks") ?></th>
										<th><?php echo e("Options") ?></th>
									</tr>
								</thead>
								<tbody>
									<?php foreach ($urls as $url): ?>	
										<?php include(TEMPLATE."/components/url_loop.php") ?>		
										<?php endforeach ?>
								</tbody>
							</table>
					<?php echo Main::csrf_token(TRUE) ?>
				</form>	
					<?php echo $pagination ?>
						</div><!-- /.url-conainer -->
			</div><!-- /#data-container -->
		</div><!-- /.main-content -->
	</div><!--/#user-content-->
	<div id="widgets" class="col-lg-4 col-sm-12">
		<?php echo $this->sidebar() ?>
		<?php echo $this->widgets('countries') ?>
		
		<div class="bs-docs-example">
				<ul id="widgetsTab" class="nav nav-tabs">
				  <li class="active"><a href="#home" data-toggle="tab"><?php echo e("Recent Activities") ?></a></li>
				  <li class=""><a href="#profile" data-toggle="tab"><?php echo e("Top URLs") ?></a></li>
				</ul>
			<div id="myTabContent" class="tab-content">
				<div class="tab-pane fade active in" id="home">
					<?php echo $this->widgets('activities') ?> 
				</div>
				<div class="tab-pane fade" id="profile">
				   <?php  $mclass = new light($this->db,$this->config); echo $mclass->widgets('top_urls'); ?>
				</div>
			</div>
		</div>	
	</div><!--/#widgets-->
</div><!--/.row-->