<?php
if(session_id() == '')
	session_start();

if (get_magic_quotes_gpc()) {
    $process = array(&$_GET, &$_POST, &$_COOKIE, &$_REQUEST);
    while (list($key, $val) = each($process)) {
        foreach ($val as $k => $v) {
            unset($process[$key][$k]);
            if (is_array($v)) {
                $process[$key][stripslashes($k)] = $v;
                $process[] = &$process[$key][stripslashes($k)];
            } else {
                $process[$key][stripslashes($k)] = stripslashes($v);
            }
        }
    }
    unset($process);
}
		
if(isset($_POST["action"]) && $_POST["action"] == 'usetting')
	update_setting();
if(isset($_POST["op"]) && $_POST["op"] == 'uploadimage')
	Upload_image();
if(isset($_POST["op"]) && $_POST["op"] == "delete")
	delete_image();



defined("APP") or die();


class light extends App {
	
	protected function menu2($option=array()){	  
		include realpath(dirname(__FILE__)).'/config.php';
		$menu='';
		$menu.='<ul class="nav navbar-nav navbar-left">';
		if(!$this->logged()){
			$menu.='<li><a href="'.$this->config["url"].'"><i class="fa fa-home"></i>'.e("Home").'</a></li>';
			//$menu.='<li><a href="'.Main::href("user/login").'"><i class="fa fa-unlock-alt"></i>'.e("Login").'</a></li>';
			$menu.='<li><a href="" id="modal-launcher" data-toggle="modal" data-target="#login-modal"><i class="fa fa-unlock-alt"></i>'.e("Login").'</a></li>';
			if($this->config["user"] && !$this->config["private"] && !$this->config["maintenance"])
			$menu.='<li><a href="'.Main::href("user/register").'" class=""><i class="fa fa-user"></i>'.e("Get Started").'</a></li>';
			//$menu.='<li><a href="" id="modal-launcher" data-toggle="modal" data-target="#register-modal" class="active"><i class="fa fa-user" onclick="copycap()"></i>'.e("Get Started").'</a></li>';
		}else{
			if ($this->admin())
				$menu.='<li><a href="'.$this->config["url"].'/admin" class="active"><i class="fa fa-user"></i>'.e("Admin").'</a></li>';
			if(!$this->pro() && $this->config["pro"])
				$menu.='<li><a href="'.$this->config["url"].'/upgrade" class="active"><i class="fa fa-user"></i>'.e("Upgrade").'</a></li>';
			$menu.='<li><a href="'.Main::href("user").'"><i class="fa fa-user"></i>'.e("My Account").'</a></li>';	  
			if(!empty($option) && is_array($option)){
				foreach ($option as $item) {
					if(isset($item["href"]) && isset($item["text"])){
					$menu.='<li><a href="'.Main::clean($item["href"],3,TRUE).'" rel="custom"><i class="fa fa-user"></i>'.Main::clean($item["text"],3,TRUE).'</a></li>';
					}
				}
			}
			$menu.='<li><a href="'.Main::href("user/logout").'"><i class="fa fa-power-off"></i>'.e("Logout").'</a></li>';
		}	
		$menu.='</ul><ul  class="nav navbar-nav navbar-right">';
				
				
		$menu.='<li><ul class="social-icons">';
		if(isset($setting["facebook"]) && $setting["facebook"] != "")
			$menu.=' <li><a target="_blank" class="facebook" data-original-title="facebook" href="'.$setting["facebook"].'"></a></li>';
		if(isset($setting["twitter"]) && $setting["twitter"] != "")
			$menu.=' <li><a target="_blank" class="twitter" data-original-title="twitter" href="'.$setting["twitter"].'"></a></li>';
		if(isset($setting["googleplus"]) && $setting["googleplus"] != "")
			$menu.=' <li><a target="_blank" class="googleplus" data-original-title="googleplus" href="'.$setting["googleplus"].'"></a></li>';
		if(isset($setting["linkedin"]) && $setting["linkedin"] != "")
			$menu.='<li><a target="_blank" class="linkedin" data-original-title="linkedin" href="'.$setting["linkedin"].'"></a></li>';
		if(isset($setting["pinterest"]) && $setting["pinterest"] != "")
			$menu.='<li><a target="_blank" class="pinterest" data-original-title="pinterest" href="'.$setting["pinterest"].'"></a></li>';
		if(isset($setting["tumblr"]) && $setting["tumblr"] != "")
			$menu.='<li><a target="_blank" class="tumblr" data-original-title="tumblr" href="'.$setting["tumblr"].'"></a></li>';
		if(isset($setting["instagram"]) && $setting["instagram"] != "")
			$menu.='<li><a target="_blank" class="instagram" data-original-title="instagram" href="'.$setting["instagram"].'"></a></li>';
		if(isset($setting["vimeo"]) && $setting["vimeo"] != "")
			$menu.='<li><a target="_blank" class="vimeo" data-original-title="vimeo" href="'.$setting["vimeo"].'"></a></li>';
		$menu.='</ul></li>';
		$menu.='<li><div class="languages">';
		$menu.='<a href="#lang" id="show-language"><i class="fa fa-language"></i></a>';
		$menu.='<div class="langs">';
		$menu.= $this->lang2(0);
		$menu.='</div>';          
		$menu.='</div></li>';
		
		$menu.='</ul>';
		return $menu;
	}
		
		
		
	private function lang2($form=true){
		if($form){
			$lang="<option value='en'".(($this->lang=="" || $this->lang=="en")?"selected":"").">English</option>";
			}else{
				$lang="<a href='?lang=en'>English</a>";
			}
		foreach (new RecursiveDirectoryIterator(ROOT."/includes/languages/") as $path){
			if(!$path->isDir() && $path->getFilename()!=="." && $path->getFilename()!==".." && $path->getFilename()!=="lang_sample.php" && $path->getFilename()!=="index.php" && Main::extension($path->getFilename())==".php"){  
				$data=token_get_all(file_get_contents($path));
				$data=$data[1][1];
				if(preg_match("~Language:\s(.*)~", $data,$name)){
				$name="".strip_tags(trim($name[1]))."";
			  }                  
			$code=str_replace(".php", "" , $path->getFilename());
			if($form){
				$lang.="<option value='".$code."'".($this->lang==$code?"selected":"").">$name</option>";
			}else{
				//$lang.="<a href='?lang=$code'>$name</a>";	
				$lang.="<a href='?lang=".$code."'>".$name."</a>";	
			}
		  }
		}  
		return $lang;	
	}	 



	protected function user_menu($option=array()){
		$max_splash = $this->variable("max_splash");	
		$menu='<ul class="nav nav-sidebar">';
		$menu.='<li><a href="'.Main::href("user").'" class="active"><span class="fa fa-home"></span> <span class="expand">'.e('Dashboard').'</span></a></li>';
		$menu.='<li><a href="'.Main::href("user/archive").'"><span class="fa fa-archive"></span> <span class="expand">'.e('Archive').'</span></a></li>';
		$menu.='<li><a href="'.Main::href("user/bundles").'"><span class="fa fa-folder-open"></span> <span class="expand">'.e('Bundles').'</span></a></li>';
		$menu.='<li><a href="'.Main::href("user/splash").'"><span class="glyphicon glyphicon-transfer"></span> <span class="expand">'.e('Splash Pages').'</span></a></li>';
		$public = $this->user->public ?"<span class='label label-primary pull-right'>".e("Online")."</span>"  : "<span class='label label-danger pull-right'>".e("Offline")."</span>";
		$menu.='<li><a href="'.Main::href("profile/{$this->user->username}").'"><span class="fa fa-cloud"></span> <span class="expand">'.e('Public Profile').'</span>'.$public.'</a></li>';
		$menu.='<li><a href="'.Main::href("user/settings").'"><span class="fa fa-gear"></span> <span class="expand">'.e('Settings').'</span></a></li>';
		if(!empty($option) && is_array($option)){
			foreach ($option as $item) {
				if(isset($item["href"]) && isset($item["text"])){
					$menu.='<li><a href="'.Main::clean($item["href"],3,TRUE).'" rel="custom">'.Main::clean($item["text"],3,TRUE).'</a></li>';
				}
			}
		}			
		$menu.='</ul>';
		$menu.='<h3>'.e("Account info");
		if (!$this->config["pro"] || $this->pro()){
			$menu.='<span class="label label-primary">'.e("Pro").'</span></h3>';
		}else{
			$menu.='<span class="label label-primary">'.e("Free").'</span></h3>';
		}	              	
		if($this->pro()){
			$p = $this->db->count("splash","userid='{$this->userid}'") / $max_splash *100;
			$menu.="<h3>".e("Splash Pages")."</h3>";
			$menu.='<div class="progress top-stats">
					<div class="progress-bar'.($p >= 80?' progress-bar-danger':'').'" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: '.$p.'%;">
					</div></div>';								
		}	
		if($this->pro() && $this->config["pro"]){
			$p = $this->db->count("splash","userid='{$this->userid}'") / $max_splash *100;
			$menu.="<h3>".e("Next Payment")."</h3>";
			$menu.='<div class="top-stats"><p><span>'.date("F d, Y",strtotime($this->user->expiration)).'</span> </p></div>';								
		}	 			    
		return $menu;
	}	



	public function user_info(){
		$max_splash = $this->variable("max_splash");	
		$html='<div>Account type: ';
		if (!$this->config["pro"] || $this->pro()){
			$html.= '<strong>'.e("Pro").'</strong>';
		}else{
			$html.= e("Free");
			}	              	
		$html.='</div>';
		if($this->pro() && $this->config["pro"]){
			$p = $this->db->count("splash","userid='{$this->userid}'") / $max_splash *100;
			$html.="<div>".e("Next Payment").": <strong>".date('F d, Y',strtotime($this->user->expiration))."</strong></div>";
		}
		if($this->pro()){
			$p = $this->db->count("splash","userid='{$this->userid}'") / $max_splash *100;
			$p2 = $this->db->count("splash","userid='{$this->userid}'") ."/". $max_splash;
			$html.="<div>".e("Splash Pages").": <strong>". $p2 ."&nbsp</strong>";
			$html.='<div class="progress top-stats">
					<div class="progress-bar'.($p >= 80?' progress-bar-danger':'').'" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: '.$p.'%;">
					</div></div></div>';								
		}	
		return $html;
	}



	public function user_stats(){
		$menu='<div class="col-lg-3 col-sm-6">
					<section class="panel">
						<div class="symbol terques link">
							<i class="fa fa-link"></i>
						</div>
						<div class="value">
							<h2 class="count1">'.$this->count("user_urls").'</h2>
							<p>'.e('URLs').'</p>
						</div>
					</section>
				</div>
				<div class="col-lg-3 col-sm-6">
					<section class="panel">
						<div class="symbol terques hand-o-up">
							<i class="fa fa-hand-o-up"></i>
						</div>
						<div class="value">
							<h2 class="count1">'.$this->count("user_clicks").'</h2>
							<p>'.e('Clicks').'</p>
						</div>
					</section>
				</div>
				<div class="col-lg-3 col-sm-6">
					<section class="panel">
						<div class="symbol terques folder-open">
							<i class="fa fa-folder-open"></i>
						</div>
						<div class="value">
							<h2 class="count1">'.$this->count("user_bundles").'</h2>
							<p>'.e('Bundles').'</p>
						</div>
					</section>
				</div>
				<div class="col-lg-3 col-sm-6">
					<section class="panel">
						<div class="symbol terques folder-open2">
							<i class="fa fa-folder-open"></i>
						</div>
						<div class="value">
							<h2 class="count1">'.$this->db->count("bundle","userid='{$this->userid}'","view").'</h2>
							<p>'.e('Bundles Views').'</p>
						</div>
					</section>
				</div>'; 
		return $menu;
	}	



	protected function widget_top_urls($option=array()){
		if(!isset($option["limit"]) || !is_numeric($option["limit"]) || $option["limit"]<=0) $option["limit"]=10;
		if(!$this->logged()) return FALSE;
		// Get data
		$data = $this->db->get("url",array("userid"=>"?"),array("limit"=>$option["limit"],"order"=>"click"),array($this->userid));
		$html="<div class='panel panel-default panel-body' id='".__FUNCTION__."'>";
		$html.="<h3>".e("Top URLs")."</h3>";
		if(empty($data)){
			$html.="<p class='center'>".e("No URLs found")."...</p>";
		}else{
			$html.='<table class="table table-bordered table-striped">';
			$html.='<thead class="thin-border-bottom"><tr><th>Link</th><th>Click</th><th class="hidden-480">Created</th></tr></thead><tbody>';													
			foreach ($data as $url) {
				$html.="<tr>
							<td>
								<a href='{$this->user->domain}/{$url->alias}{$url->custom}+' target='_blank' class='masterTooltip'
								title='".(empty($url->meta_title)?"{$this->user->domain}/{$url->alias}{$url->custom}":Main::truncate($url->meta_title,30))."'>
								&nbsp;<img src='{$this->http}://www.google.com/s2/favicons?domain={$url->url}' alt='favicon'>&nbsp&nbsp{$url->alias}{$url->custom}</a>					
							</td>
							<td>
								<strong>{$url->click} </strong> 
							</td>
							<td class='hidden-480'>
								<span>".Main::timeago($url->date)."</span>
							</td>
						</tr>";
				} 								
			$html.='</tbody>';
			$html.='</table>';	
		}
		$html.="</div>";
		return $html;
	}  
	  

	 
	public function custom_ads($ads){
		include realpath(dirname(__FILE__)).'/config.php';
		if(isset($setting[$ads]))
		return $setting[$ads];
		return TRUE;
	}	 
		  

	protected function public_table($limit){
		if($urls = $this->db->get("url",array("public" => "1", "userid" => "0"),array("limit"=>$limit,"order"=>"date"))){
		  echo '<div class="urls-holder">
					<div class="container content">
						<div class="row">
							<div class="col-md-8  public_list" id="data-container-public">
							<div class="custom-ads ad_728">
							'.$this->custom_ads("topads2").'
							</div>
								<table class="table table-striped table-advance table-hover table-public">
									<thead>
										<tr>
											<th  class="hidden-xs">'.e("Latest Public URLs").'</th>
											<th>'.e('Short Link').'</th> 
											<th>'.e('Clicks').'</th>
										</tr>
									</thead>
									<tbody>';
										$user = new stdClass; $user->domain = $this->config["url"];
										foreach ($urls as $url){
										include(TEMPLATE."/components/public_urls_loop.php");
										}
							  echo '</tbody>
								</table>
							</div>
						<div class="col-md-4 text-right">
							<div class="custom-ads ads_300">
								'.$this->custom_ads("sideads2").'
							</div>
						</div>
						</div>
					</div>
				</div>';
		}else{
			echo '<div class="urls-holder">
					<div class="container content">
						<div class="row">
							<div class="col-md-8  public_list" id="data-container-public">
								<div class="custom-ads ad_728">
							'.$this->custom_ads("topads2").'
							</div>
								<br>
								<p class="center">'.e("No URLs found").'...</p>
							</div>
						<div class="col-md-4 text-right">
							<div class="custom-ads ads_300">
								'.$this->custom_ads("sideads2").'
							</div>
						</div>
						</div>
					</div>
				</div>';
		}
	}
				
			
	protected function history(){
		
		include realpath(dirname(__FILE__)).'/config.php';
		// Check if enabled or logged
		if(!$this->config["user_history"] || $this->logged()) return FALSE;
		// Get Aliases
		$alias = json_decode(Main::cookie("aid"),TRUE);
		// If empty return False
		if(!$alias){
			//echo $this->ads(728,FALSE);
			echo '<div class="urls-holder">
					<div class="container content">
						<div class="row">
							<div class="col-md-8  public_list" id="data-container-history">
								<div class="custom-ads ad_728">
								'.$this->custom_ads("topads1").'
								</div>
								<br><p class="center">'.e("No URLs found").'...</p>
							</div>
							<div class="col-md-4 text-right">
								<div class="custom-ads ads_300">
									'.$this->custom_ads("sideads1").'
								</div>
							</div>	
						</div>
					</div>
				</div>';
			return TRUE;
		} 						
		// Get URLs
		$query="(";
		$c=count($alias);
		$value="";
		 $i=1;
		foreach ($alias as $id) {
			if($i>=$c){
				$query.="(`alias` = :id$i OR `custom`= :id$i)";
			}else{
				$query.="(`alias` = :id$i OR `custom`= :id$i) OR ";
			}
			$value[":id$i"]=$id;
			$i++;
		}  
		$value[":user"]="0";
		$query.=") AND userid=:user";				
		if(!$urls = $this->db->get("url",$query,array("limit"=>10,"order"=>"date"),$value)) return FALSE;
			echo "<div id='last_history'>";
				echo '<div class="container content">
						<div class="row">
							<div class="col-md-8" id="data-container-history">
							<div class="custom-ads ad_728">
							'.$this->custom_ads("topads1").'
							</div>
								<div class="panel panel-body">';
								//echo "<h3>".e('Your last 10 URLs')."</h3>";
								echo '<table class="table table-striped table-advance table-hover table-history">
										<thead>
											<tr>
												<th  class="hidden-xs">';
												t('Your last 10 URLs');
											echo '</th>
												<th>'.e('Short Link').'</th> 
												<th>'.e('Clicks').'</th>
											</tr>
										</thead>
										<tbody>';
											$user = new stdClass();
											$user->domain = $this->config["url"];
											foreach ($urls as $url){
												include(TEMPLATE."/components/public_url_loop.php");
											}
								  echo "</tbody>
									</table>
								</div>
							</div>
							<div class='col-md-4 text-right'>
							<div class='custom-ads ads_300'>
								".$this->custom_ads("sideads1")."
								</div>
							</div>
						</div>
					</div>
					<br />
				</div>";
		return TRUE;
	}	


	//Top 10 public urls			
	protected function top10(){
		if($urls = $this->db->get("url",array("public" => "1"),array("limit"=>10,"order"=>"click"))){
		  echo '<div class="urls-holder">
					<div class="container content">
						<div class="row">
							<div class="col-md-8  public_list" id="data-container-top10">
							<div class="custom-ads ad_728">
							'.$this->custom_ads("topads3").'
							</div>
								<table class="table table-striped table-advance table-hover table-public">
									<thead>
										<tr>
											<th  class="hidden-xs">';
											 echo t("Top 10 Public urls");
											
										echo '</th>
											<th>'.e('Short Link').'</th> 
											<th>'.e('Clicks').'</th>
										</tr>
									</thead>
									<tbody>';
										$user = new stdClass; $user->domain = $this->config["url"];
										foreach ($urls as $url){
										include(TEMPLATE."/components/public_urls_loop.php");
										}
							  echo '</tbody>
								</table>
							</div>
						<div class="col-md-4 text-right">
							<div class="custom-ads ads_300">
								'.$this->custom_ads("sideads3").'
							</div>
						</div>
						</div>
					</div>
				</div>';
		}else{
			echo '<div class="urls-holder">
					<div class="container content">
						<div class="row">
							<div class="col-md-8  public_list" id="data-container-top10">
								<div class="custom-ads ad_728">
							'.$this->custom_ads("topads3").'
							</div>
								<br>
								<p class="center">'.e("No URLs found").'...</p>
							</div>
						<div class="col-md-4 text-right">
							<div class="custom-ads ads_300">
								'.$this->custom_ads("sideads3").'
							</div>
						</div>
						</div>
					</div>
				</div>';
		}
	}

	
function site($var){
	include realpath(dirname(__FILE__)).'/config.php';	
	$language = getlangcode();
	if($language == "en"){
		$result  = $this->config[$var];
	}else{
		$l = $language;
		if(isset($setting[$l."-".$var])){
			$result  = ($setting[$l."-".$var] == "")? $this->config[$var] : $setting[$l."-".$var];
		}else{
			$result  = $this->config[$var];
		}
	}
	return $result;
}
		
}/*End of class*/



	
function t($text){
$language = getlangcode();
	if($language == 'en'){
		include ROOT."/includes/languages/lang_sample.php";
	}else{
		include ROOT."/includes/languages/{$language}.php";
	}
	
	if($language == 'en'){
		return $text;
	}else{
		return (!isset($lang[addslashes($text)]) || $lang[addslashes($text)] == '') ? $text : $lang[addslashes($text)];
	}		
}


function update_lang(){
	
	$languages = array();
			$j = 0;
			 foreach(array_diff(scandir(ROOT."/includes/languages"), array('..', '.')) as $filename){
				 $languages[$j] = pathinfo($filename, PATHINFO_FILENAME);
				 $j++; 
			} 
	$included_langs = array("lang_sample","de","es","fr","po","ru","th");
	include "lang.php";
	for($i=0;$i<count($languages);$i++){
		$l = ROOT."/includes/languages/{$languages[$i]}.php";	
		$file = file_get_contents($l);
		include $l;
		if(!in_array( $languages[$i] , $included_langs ))
			$$languages[$i] = $lang_sample;
		if(strpos($file, "New Strings added.27042015")){
			echo "<p class='alert alert-success'>file {$languages[$i]}.php already updated.</p>";
		}else{
			$tokens = token_get_all($file);
			$comments = array();
			foreach($tokens as $token) {
				if($token[0] == T_COMMENT || $token[0] == T_DOC_COMMENT) {
					$comments[] = $token[1];
				}
			}
			foreach($$languages[$i] as $key => $value) {
			$lang[$key] = $value;
			}
			file_put_contents($l,'<?php'. PHP_EOL .$comments[0] . PHP_EOL . '$lang ='.var_export($lang, true) . ';'. PHP_EOL .'/*New Strings added.27042015.*/ ?>');
			echo "<p class='alert alert-success'><i class='fa fa-check'></i>&nbsp;&nbsp;file {$languages[$i]}.php updated.</p>";
		}
	}
}



function update_setting(){
	$token = $_SESSION["CSRF"];
	if ($_POST['token'] == $token) {	
		$setting = array();
		parse_str($_POST['param'], $setting);
		file_put_contents('config.php', '<?php' . PHP_EOL .'/*Theme Setting*/' . PHP_EOL . '$setting = '.var_export($setting, true) . ';');
		echo "Setting Saved Succesfully"; 
	}
}


function delete_image(){
	if (isset($_POST['token']) && $_POST["token"] == $_SESSION["CSRF"]) {	
		$output_dir = "img/uploads/";
		$fileName =$_POST['name'];
		$filePath = $output_dir. $fileName;
		if (file_exists($filePath)) 
		{
			unlink($filePath);
		}
	}	echo "Deleted File ".$fileName."<br>";
}

function Upload_image(){

	if (isset($_POST['token']) && $_POST["token"] == $_SESSION["CSRF"]) {	
		$ds = DIRECTORY_SEPARATOR; 
		$storeFolder = 'img/uploads/';  
		if (!empty($_FILES)) {
			$tempFile = $_FILES['file']['tmp_name'];         
			$targetPath = dirname( __FILE__ ) . $ds. $storeFolder . $ds; 
			$targetFile =  $targetPath. $_FILES['file']['name']; 
			move_uploaded_file($tempFile,$targetFile);
		} else {                                                           
			$result  = array();
			$files = scandir($storeFolder);
			if ( false!==$files ) {
				foreach ( $files as $file ) {
					$path = $file;
					$extension = pathinfo($path, PATHINFO_EXTENSION);
					if ( '.'!=$file && '..'!=$file && ($extension == "jpg" || $extension == "ico")) {
						$obj['name'] = $file;
						$obj['size'] = filesize($storeFolder.$ds.$file);
						$result[] = $obj;
					}
				}
			}
			header('Content-type: text/json'); 
			header('Content-type: application/json');
			echo json_encode($result);
		}
	}
}



function getlangcode(){
		if(isset($_GET["lang"]) && strlen($_GET["lang"])=="2"){
			$language = $_GET["lang"];
		}else{
			$language = (isset($_COOKIE['lang'])) ? $_COOKIE['lang'] : 'en';
		}
	return $language;	
}	

function langcodes(){
		$langcodes = array();
		foreach (new RecursiveDirectoryIterator(ROOT."/includes/languages/") as $path){
			if(!$path->isDir() && $path->getFilename()!=="." && $path->getFilename()!==".." && $path->getFilename()!=="lang_sample.php" && $path->getFilename()!=="index.php" && Main::extension($path->getFilename())==".php"){  
				$data=token_get_all(file_get_contents($path));
				$data=$data[1][1];
				if(preg_match("~Language:\s(.*)~", $data,$name)){
				$name="".strip_tags(trim($name[1]))."";
			  }                  
			$code=str_replace(".php", "" , $path->getFilename());
			$langcodes[$name]=$code;
		  }
		}  
	return $langcodes;	
}	 


